Subject: Re: 'git log' escape symbols shown as ESC[33 and ESC[m

From: Yuri <[email-masked]>
Date: Thu, 16 Jan 2014 18:02:24 -0800

On 01/16/2014 17:47, Jeff King wrote:
> Are you using "less" as your pager (it is the default in git unless you
> have set your PAGER environment variable)? If so, do you have the "R"
> option set to pass through ANSI codes? Git will set this automatically
> in your "LESS" variable if you do not already have such a variable (but
> it will not touch it if you already have it set, and are missing "R").

My PAGER variable was set to "more". PAGER=more is also a default for a 
newly created user in FreeBSD.

So what would be the correct fix here in general, so that git will work 
fine for a new unchanged user?

Yuri